Problem with the twitteR package

posted Apr 25, 2013, 4:21 AM by Yanchang Zhao
Q: When using package twitteR to fetch data from Twitter, there is an error as below.

> rdmTweets <- userTimeline(user, n=100)

Error: twInterfaceObj$doAPICall(cmd, params, method, ...) :
  OAuth authentication is required with Twitter's API v1.1

A: It is because Twitter API requires authentication from March 2013. After authentication, you can then run userTimeline().

For instructions on Twitter authentication, please refer to "Section 3 - Authentication with OAuth" in the twitteR user vignette.